summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVadim A. Misbakh-Soloviov <mva@mva.name>2013-04-18 10:35:10 +0700
committerVadim A. Misbakh-Soloviov <mva@mva.name>2013-04-18 10:35:10 +0700
commit56cce63a27a988c6c683b798295bac7914b56853 (patch)
tree1eab7cd6b664fadf42cab84e7f34033dde481272 /app-emulation/xen-tools
parent[xen] add xen-4.2.1-r2 from main ::gentoo (diff)
downloadvirtualization-56cce63a27a988c6c683b798295bac7914b56853.tar.gz
virtualization-56cce63a27a988c6c683b798295bac7914b56853.tar.bz2
virtualization-56cce63a27a988c6c683b798295bac7914b56853.zip
[app-emulation/{xen,xen-tools}] sync with portage tree
Signed-off-by: Vadim A. Misbakh-Soloviov <mva@mva.name>
Diffstat (limited to 'app-emulation/xen-tools')
-rw-r--r--app-emulation/xen-tools/files/xendomains-screen.confd10
-rw-r--r--app-emulation/xen-tools/files/xendomains.initd-r211
-rwxr-xr-xapp-emulation/xen-tools/files/xenstored.initd5
-rw-r--r--app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild11
4 files changed, 25 insertions, 12 deletions
diff --git a/app-emulation/xen-tools/files/xendomains-screen.confd b/app-emulation/xen-tools/files/xendomains-screen.confd
index 1482c0a..a180c13 100644
--- a/app-emulation/xen-tools/files/xendomains-screen.confd
+++ b/app-emulation/xen-tools/files/xendomains-screen.confd
@@ -1,3 +1,13 @@
+# /etc/conf.d/xendomains
+
+# Directory of domains to boot. AUTODIR should contain one or more symlinks
+# to domain config files in /etc/xen
+AUTODIR=/etc/xen/auto
+
+# Send shutdown commands to all domains in parallel instead of waiting for
+# each to shutdown individually
+PARALLEL_SHUTDOWN=yes
+
# When SCREEN="yes", domains in AUTODIR have their consoles connected to a
# screen session named SCREEN_NAME, with output logged to individual files
# named after each domain and written to /var/log/xen-consoles/ . These files
diff --git a/app-emulation/xen-tools/files/xendomains.initd-r2 b/app-emulation/xen-tools/files/xendomains.initd-r2
index 2ca081c..e225b76 100644
--- a/app-emulation/xen-tools/files/xendomains.initd-r2
+++ b/app-emulation/xen-tools/files/xendomains.initd-r2
@@ -1,13 +1,13 @@
#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/xen-tools/files/xendomains.initd-r2,v 1.2 2011/09/10 17:22:46 alexxy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/xen-tools/files/xendomains.initd-r2,v 1.6 2013/02/24 10:39:11 idella4 Exp $
-opts="start stop status restart"
+extra_commands="status"
depend() {
- need xenstored xenconsoled
- after dhcp xend
+ need xenstored
+ after dhcp xend xenconsoled
}
get_domname() {
@@ -39,6 +39,7 @@ start() {
if using_screen ; then
ebegin "Creating screen session to hold domain consoles"
( screen -c ${SCREENRC:-/dev/null} -d -m -S ${SCREEN_NAME} -t dom0 \
+ && sleep 5 \
&& ${screen_cmd} zombie dr \
&& logrotate -f /etc/xen/xen-consoles.logrotate \
&& ${screen_cmd} logfile /var/log/xen-consoles/%t.log \
diff --git a/app-emulation/xen-tools/files/xenstored.initd b/app-emulation/xen-tools/files/xenstored.initd
index f85aa4f..fa31efd 100755
--- a/app-emulation/xen-tools/files/xenstored.initd
+++ b/app-emulation/xen-tools/files/xenstored.initd
@@ -1,10 +1,9 @@
#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/xen-tools/files/xenstored.initd,v 1.2 2011/04/05 21:25:03 alexxy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/xen-tools/files/xenstored.initd,v 1.3 2013/03/16 16:46:57 idella4 Exp $
depend() {
- need net
before xendomains xend sshd ntp-client ntpd nfs nfsmount rsyncd portmap dhcp
}
diff --git a/app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild b/app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild
index c238f7c..a1c3581 100644
--- a/app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild
+++ b/app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild,v 1.5 2013/02/12 06:34:04 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/xen-tools/xen-tools-4.2.1-r2.ebuild,v 1.6 2013/03/05 18:05:35 idella4 Exp $
EAPI=5
@@ -229,7 +229,6 @@ src_install() {
export PYTHONDONTWRITEBYTECODE
emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-tools
-# XEN_PYTHON_NATIVE_INSTALL=y install-tools
# Fix the remaining Python shebangs.
python_fix_shebang "${D}"
@@ -271,9 +270,13 @@ src_install() {
keepdir /var/log/xen-consoles
fi
+ # Set dirs for qemu files,; Bug #458818
if use qemu; then
- mkdir -p "${D}"usr/lib64/xen/bin || die
- mv "${D}"usr/lib/xen/bin/qemu* "${D}"usr/lib64/xen/bin/ || die
+ if use x86; then
+ dodir /usr/lib/xen/bin
+ elif use amd64; then
+ mv "${D}"usr/lib/xen/bin/qemu* "${D}"usr/$(get_libdir)/xen/bin/ || die
+ fi
fi
# For -static-libs wrt Bug 384355